#!/bin/sh

opsys=`uname`
if [ $opsys = "SunOS" ]; then
    opsys=$opsys-`uname -r | cut -d. -f1`
fi

case "$opsys" in
    IRIX)
	arch=irix5.3
	;;
    SunOS-4)
	# Since we don't have SunOS boxes anymore, YMMV
	arch=sunos4.1
	;;
    SunOS-5)
	arch=solaris2.5
	;;
esac

KQML_HOME=/home/src/kqml/C/ver.2; export KQML_HOME
KQML_ARCH=$KQML_HOME/ARCH/$arch; export KQML_ARCH

KQML_DBG=$KQML_HOME/log; export KQML_DBG
KQML_DBG_LEVEL=11; export KQML_DBG_LEVEL

KQML_ROUTER=$KQML_ARCH/bin/router; export KQML_ROUTER
KQML_VALIDATOR=$KQML_ARCH/bin/validator; export KQML_VALIDATOR

KQML_ANS="snoopy.cs.umbc.edu:5500:"; export KQML_ANS

SP_PATH="$KQML_HOME/lib"; export SP_PATH 		#For SICStus prolog runtime
PATH="$PATH:$KQML_ARCH/bin"; export PATH
