#if !defined (__KQMLWRAPPER_H__)

#define __KQMLWRAPPER_H__

typedef enum {
   	KQML_REPLY_ERROR = -1, KQML_REPLY_NONE, KQML_REPLY_KMSG_LIST,
		KQML_REPLY_KMSG, KQML_REPLY_KMSG_ARRAY,
		KQML_REPLY_STRING, KQML_REPLY_STRING_ARRAY,
   	KQML_REPLY_BIN, KQML_REPLY_BIN_ARRAY,
		KQML_REPLY_LONG, KQML_REPLY_LONG_ARRAY,
		KQML_REPLY_ULONG, KQML_REPLY_ULONG_ARRAY,
	} KQML_REPLY_TYPE;

typedef struct kqml_bin_content {
   	int len;
   	void *msg;
   } KQML_BIN_CONTENT;

#ifdef __cplusplus
extern "C" {
#endif

extern KQML_KMSG_LIST *kqml_wrapper (KQML_REPLY_TYPE reply_type, void *reply);
extern void *kqml_unwrapper (kqml_message *kmsg, KQML_REPLY_TYPE *reply_type);

#ifdef __cplusplus
}
#endif

#endif /* __KQMLWRAPPER_H__ */
