/*
 * Test the router code.
 *
 */


/*
 *	(c) Copyright 1993 Paramax Systems Corp.
 *
 *	This material my be reproduced by or for the U.S.
 *	Government pursuant to the copyright license under
 *	the clause at DFARS 252.227-7013   (1991).
 */


#include	<stdio.h>
#include	<string.h>
#include	<sys/param.h>
#include	<sys/time.h>
#include <stdlib.h>
#include <unistd.h>

#include	<kqml.h>

extern	char	*optarg;


int
main (int argc, char **argv)
{
	int c;			/* for handling command line args */

  /* process command line arguments */
  while ((c = getopt (argc, argv, "d:")) != -1)
    switch (c)
      {
      case 'd':
	_kqml_dbglevelset (atoi (optarg));
	break;

      case '?':
	fprintf (stderr, "illegal command line arguments\n");
	exit (-1);
      }
  

				/* initialize a router */
  if ( (kqml_initialize ("test_router", KQML_NOT_AN_ANS)) < 0)
    {
      fprintf (stderr, "Unable to initialize router for the facilitator.\n");
      exit (-1);
    }
  sleep (100);
  exit (0);
  
}

